Skip to content
Branch: master
Find file History
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Permalink
Type Name Latest commit message Commit time
..
Failed to load latest commit information.
src lerna Oct 27, 2019
test lerna Oct 27, 2019
.gitignore lerna Oct 27, 2019
.mocharc.yaml lerna Oct 27, 2019
.npmignore lerna Oct 27, 2019
README.md lerna Oct 27, 2019
babel.config.js lerna Oct 27, 2019
package-lock.json use latest mocha Jan 4, 2020
package.json use latest mocha Jan 4, 2020

README.md

Babel application

More details on using Mocha with Babel here

Runtime Environment:

Three possibilities:

  1. Avoid features which require runtime support (including new Built-ins and generators)
  2. Require @babel/runtime directly, allowing usage of generators, but not polyfills which would modify the global environment
  3. Require @babel/polyfill as a peer dependency and document that the consuming app must require it

This example app does not use features which require runtime support.

Commands

  • npm run compile - compile the ES6 Babel into the /lib directory
  • npm test - run the tests using the local .mocharc.yaml config file. The config includes the Babel transpilation hook @babel/register. We have the babel config set inside .babelrc.
You can’t perform that action at this time.